CREATE TABLE "carinfo" (
"id" INTEGER PRIMARY KEY AUTOINCREMENT,
"photo" TEXT,
"photo_id" TEXT,
"car_type" TEXT,
"car_type_name" TEXT,
"car_belong_key" TEXT,
"car_num" TEXT,
"ower_remark" TEXT,
"photo_name" TEXT,
"needs_val" TEXT,
"car_style_id" TEXT,
"car_style" TEXT,
"car_model" TEXT,
"car_brand" TEXT,
"car_order" NUMERIC DEFAULT(0),
"is_top" INTEGER DEFAULT(0),
"car_code_img" TEXT,
"car_code_img_http" TEXT,
"car_code_img_b" TEXT,
"car_code_img_b_http" TEXT,
"car_owner_city" TEXT,
yi_switch INTEGER,
yi_type INTEGER,
yi_date INTEGER,
yi_remind INTEGER,
garage_id VARCHAR,
mileage VARCHAR);

CREATE TABLE "car_violation_info"(
    "id" INTEGER PRIMARY KEY AUTOINCREMENT,
    "carinfo_id" INTEGER NOT NULL,
    "violation_json" TEXT,
    "violation_img" TEXT,
    "extra_json" TEXT,
    "v_money" INTEGER,
    "v_score" INTEGER,
    "v_count" INTEGER,
    "need_refresh_122" INTEGER,
    "can_pay" INTEGER,
    "local_combine" INTEGER,
    "offline_city" TEXT,
    "offline_title" TEXT,
    "pay_text" TEXT,
    "no_violations_message" TEXT);

CREATE TABLE "limit_city" ("id" INTEGER PRIMARY KEY  NOT NULL ,"city_name" VARCHAR NOT NULL ,"city_api_key" VARCHAR  ,"city_gd_id" VARCHAR , "isTextOn" INTEGER DEFAULT (0) ,"city_rule" VARCHAR,"city_target" VARCHAR,"city_area" VARCHAR,"city_time" VARCHAR,"city_last_rule" NUMERIC DEFAULT(-1) ,"tip" VARCHAR ,"update_time" NUMERIC DEFAULT (0) );
CREATE TABLE "limit_city_rules" ("id" INTEGER, "city_id" VARCHAR, "last_validate_time" NUMERIC, "rule_json" VARCHAR, "update_time" NUMERIC, "city_api_key" VARCHAR);

CREATE TABLE "lua_info" ("key" VARCHAR PRIMARY KEY, "content" TEXT, "version" VARCHAR);

CREATE TABLE "car_sync_operation" (
"id" INTEGER PRIMARY KEY AUTOINCREMENT,
"operation" INTEGER NOT NULL,
"params" TEXT,
"uid" TEXT NOT NULL DEFAULT('-1'),
"car_id" INTEGER DEFAULT(-1));